t = nil
fade3 = 0
colorfade = 0.18

function init()
	reset()
end

function reset()
	t = 0
	fade3 = 0

	SetValue("colorfade", 0.18, "linear", 1)
end

function draw()
	t = t + GetTimeStep()
	if t > 67 then
		reset()
	end

	
	UiColor(colorfade, colorfade, colorfade)
	UiImage("LEVEL/script/movie/darkmoon-0.jpg")

	if t > 2 then
		UiPush()
			UiImage("LEVEL/script/movie/darkmoon-1.jpg")
		UiPop()
	end

	if t > 2.5 then
		SetValue("colorfade", 1, "linear", 0.5)
		UiColor(colorfade, colorfade, colorfade)
		UiImage("LEVEL/script/movie/darkmoon-1.jpg")
	end

	if t > 3 then
		UiImage("LEVEL/script/movie/darkmoon-3.jpg")
	end
	if t > 3.7 then
		UiImage("LEVEL/script/movie/darkmoon-4.jpg")
	end
	if t > 4 and t < 8 then
		UiPush()
			SetValue("fade3", 1, "linear", 1)
			UiColor(1, 1, 1, fade3)
			UiImage("LEVEL/script/movie/darkmoon-5.jpg")
		UiPop()
	end
	if t > 8 then
		UiPush()
			SetValue("fade3", 0, "linear", 0.5)
			UiColor(1, 1, 1, fade3)
			UiImage("LEVEL/script/movie/darkmoon-5.jpg")
		UiPop()
	end
	if t > 10.5 then 
		if t > 1 then 
			SetValue("colorfade", 0.18, "linear", 1)
			UiColor(colorfade, colorfade, colorfade)
			UiImage("LEVEL/script/movie/darkmoon-0.jpg")
		end
	end

	UiTranslate(UiCenter(), 1000-t*40)
	
	UiColor(1,1,1)
	UiAlign("center")

	UiFont("bold.ttf", 48)
	UiText("loc@UI_TEXT_DARKMOON")
	UiTranslate(0, 30)
	UiFont("regular.ttf", 24)
	UiText("loc@UI_TEXT_A_TUXEDO")
	UiTranslate(0, 100)
	

	UiFont("regular.ttf", 24)
	UiText("loc@UI_TEXT_BASED_ON")
	UiTranslate(0, 100)

	
	UiFont("bold.ttf", 36)
	UiText("loc@UI_TEXT_LEAD_CAST")
	UiTranslate(0, 40)

	UiFont("regular.ttf", 24)
	UiText(GetTranslatedStringByKey("UI_TEXT_STEFAN_JONSSON"),true)
	UiText(GetTranslatedStringByKey("UI_TEXT_KABI_JEDHAGEN"),true)
	UiTranslate(0, 40)
	UiText(GetTranslatedStringByKey("UI_TEXT_DENNIS_GUSTAFSSON"),true)
	UiText(GetTranslatedStringByKey("UI_TEXT_DENIZ_MISIRLI"),true)
	UiText(GetTranslatedStringByKey("UI_TEXT_LUDDE_ANDERSSON"),true)
	UiText(GetTranslatedStringByKey("UI_TEXT_NIKLAS_MCKLE"),true)
	UiTranslate(0, 40)
	UiText(GetTranslatedStringByKey("UI_TEXT_DOUGLAS_HOLMQUIST"),true)
	UiText(GetTranslatedStringByKey("UI_TEXT_WILLIAM_BERGH"),true)
	UiText(GetTranslatedStringByKey("UI_TEXT_ANDREAS_BAW"),true)
	UiText(GetTranslatedStringByKey("UI_TEXT_KRISTIAN_DURN"),true)
	UiText(GetTranslatedStringByKey("UI_TEXT_MATHIAS_SCHLEGEL"),true)
	UiTranslate(0, 100)
	
	UiFont("bold.ttf", 36)
	UiText("loc@UI_TEXT_SUPPORTING_CAST")
	UiTranslate(0, 40)

	UiFont("regular.ttf", 24)
	UiText(GetTranslatedStringByKey("UI_TEXT_LARRY_WALSH"),true)
	UiText(GetTranslatedStringByKey("UI_TEXT_EMIL_BENGTSSON"),true)
	UiText(GetTranslatedStringByKey("UI_TEXT_MARCUS_DAWSON"),true)
	UiText(GetTranslatedStringByKey("UI_TEXT_JOHN_KEARNEY"),true)
	UiText(GetTranslatedStringByKey("UI_TEXT_OLLE_LUNDAHL"),true)
	UiTranslate(0, 100)

	UiFont("bold.ttf", 36)
	UiText("loc@UI_TEXT_SPECIAL_THANKS")
	UiTranslate(0, 40)

	UiFont("regular.ttf", 24)
	UiText(GetTranslatedStringByKey("UI_TEXT_BINFLOO"),true)
	UiText(GetTranslatedStringByKey("UI_TEXT_BRANJER130"),true)
	UiText(GetTranslatedStringByKey("UI_TEXT_DANIEL_W"),true)
	UiText(GetTranslatedStringByKey("UI_TEXT_DESK_SQUID"),true)
	UiText(GetTranslatedStringByKey("UI_TEXT_DIMA"),true)
	UiText(GetTranslatedStringByKey("UI_TEXT_EXEROS"),true)
	UiText("funlennysub",true)
	UiText(GetTranslatedStringByKey("UI_TEXT_KILLZBOB"),true)
	UiText(GetTranslatedStringByKey("UI_TEXT_POPPY_TIM"),true)
	UiText("rabniff",true)
	UiText(GetTranslatedStringByKey("UI_TEXT_TREADMILL"),true)
	UiText(GetTranslatedStringByKey("UI_TEXT_WEICHEI"),true)
	UiTranslate(0, 100)

	UiFont("bold.ttf", 48)
	UiText("loc@UI_TEXT_IN_THEATERS")

	UiTranslate(0, 200)
	UiFont("regular.ttf", 18)
	UiText("loc@UI_TEXT_NO_VOXELS")
end

